## WASM (WebAssembly)

Keyword files are stored in binary format. In order to use them within a JavaScript environment you need to convert them
to a `Uint8Array`. You may use any tool to read the keyword file byte-by-byte. On a Linux box you can use `xxd` utility.
For example

```bash
xxd -i -g 1 resources/keyword_files/wasm/americano_wasm.ppn
```

gives

```C
unsigned char resources_keyword_files_wasm_americano_wasm_ppn[] = {
  0xe2, 0x02, 0x1c, 0xa4, 0xcd, 0x68, 0xb7, 0x49, 0x84, 0x1a, 0x11, 0x31,
  0x0f, 0x04, 0xa3, 0x54, 0xf3, 0xe1, 0x47, 0x2e, 0x39, 0x6f, 0x9e, 0x01,
  0x3d, 0x41, 0x1d, 0xa6, 0xd3, 0xd8, 0x9b, 0x59, 0xe1, 0xec, 0x25, 0xb3,
  0xc3, 0x94, 0xf1, 0xf2, 0xab, 0xbb, 0x11, 0xd7, 0x1a, 0xef, 0x13, 0xee,
  0xbb, 0xe3, 0x36, 0x44, 0x13, 0xfa, 0x9c, 0x3d, 0xc4, 0x35, 0x09, 0xc0,
  0x1e, 0x2c, 0xcb, 0x98, 0x97, 0x10, 0x32, 0xa7, 0x76, 0x3e, 0x1d, 0x7c,
  0x0b, 0x67, 0x15, 0x93, 0x0a, 0x83, 0x87, 0x7b, 0x48, 0x7f, 0x2f, 0x23,
  0xcd, 0x4f, 0xf5, 0xcf, 0x0f, 0xef, 0x5a, 0x75, 0xec, 0x89, 0xbd, 0x37
};
```
